## don't activate some services
#rm -f $MOUNTDIR/etc/rcsysinit.d/{S35hdparm,S30loadmodules,S40swap}
#rm -f $MOUNTDIR/etc/rc*.d/{S12random,S13sysinit,S20network,S44acpid,S55sshd}
#rm -f $MOUNTDIR/etc/rc*.d/{K00splash,K01acpid,K90random,K96swap,K97network,K97udev,K98localnet}

# change inittab so it opens tty root shells instead of asking for login
#
echo "Forcing \`inittab' to open tty root shells with no login..."
sed -i 's,^\([1-3]\):.*,\1:2345:respawn:/sbin/mingetty --autologin root --loginprog /sbin/login.live --noclear tty\1,' $MOUNTDIR/etc/inittab
sed -i '/^[4-6]:.*/d' $MOUNTDIR/etc/inittab

# configure for runlevel 5 boot
sed -i "s|id:3\(:initdefault.*\)|id:5\1|" $MOUNTDIR/etc/inittab

# configure KDM for autologin
#
if [ -e $MOUNTDIR/opt/kde/share/config/kdm/kdmrc ]; then
   sed -i 's|[#]*AutoLoginEnable=.*|AutoLoginEnable=true|' \
      $MOUNTDIR/opt/kde/share/config/kdm/kdmrc
   sed -i 's|[#]*AutoReLogin=.*|AutoReLogin=true|' \
      $MOUNTDIR/opt/kde/share/config/kdm/kdmrc
   sed -i 's|[#]*AutoLoginUser=.*|AutoLoginUser=liveuser|' \
      $MOUNTDIR/opt/kde/share/config/kdm/kdmrc
fi

# FIXME: ensure alternatives are correclty set
chroot $MOUNTDIR update-alternatives-set-dri

# don't stop msysklogd before halt/shutdown
#
rm -f $MOUNTDIR/etc/rc0.d/K93msysklogd
rm -f $MOUNTDIR/etc/rc6.d/K93msysklogd

# set timezone according to LANGUAGE (default is UTC)
#
case $LANGUAGE in
   it) timezone=Europe/Rome ;;
   es) timezone=Europe/Madrid ;;
   *)  timezone=UTC ;;
esac
echo $timezone > $MOUNTDIR/etc/timezone
cp $MOUNTDIR/usr/share/zoneinfo/$timezone $MOUNTDIR/etc/localtime

# enable CDROM autoeject on shutdown/reboot
#
sed -i -e '/^halt .*/i \
/sbin/eject_cd.sh 2>&1 >/dev/null' $MOUNTDIR/etc/init.d/halt

sed -i -e '/^reboot .*/i \
/sbin/eject_cd.sh 2>&1 >/dev/null' $MOUNTDIR/etc/init.d/reboot

# configure favorites in kde menu
for f in /usr/share/applications/chromium-devel.desktop /opt/kde/share/applications/kaffeine.desktop; do
   chroot $MOUNTDIR /opt/kde/bin/kickoffcfg --add-favorite $f
done

# prebuild postplug sound CARDID_DB (with some ugly trick to make it work from chroot)
[ -e $MOUNTDIR/lib/modules/`uname -r` ] || ln -s ${KERNEL_MAJVER}${KERNEL_EXTRAVER} $MOUNTDIR/lib/modules/`uname -r`
echo "SOUND_BUILD_CARDID_DB_ONLY=1 /etc/postplug/postplug.d/sound" >> $MOUNTDIR/tmp/sounddb.sh
chroot $MOUNTDIR sh /tmp/sounddb.sh
rm -f $MOUNTDIR/tmp/sounddb.sh
[ -L $MOUNTDIR/lib/modules/`uname -r` ] && rm $MOUNTDIR/lib/modules/`uname -r`

# remove unused initramfs generated by kernel
rm -f $MOUNTDIR/boot/initramfs-${KERNEL_MAJVER}${KERNEL_EXTRAVER}.img*

# remove failsafe image to save space for livecd
rm -f $MOUNTDIR/boot/initramfs-${KERNEL_MAJVER}${KERNEL_EXTRAVER}-failsafe.img*

# remove some documentation to save space on CD
for f in ChangeLog Changelog CHANGES TODO NEWS README README.txt; do
   find $MOUNTDIR/usr/share/doc -name $f -exec rm -f {} \;
done

prelink
